{% extends "status/layout/base.html" %}

{% block content %}
<h1 class="main-title">UPDATE STATUS</h1>
<hr/>
<section name="input-list" id="input-list">
    <div class="container">
        <form id="form" method="POST" action="{% url 'status:add_status' %}">
            <h2>Update Status</h2>
            {% csrf_token %}
            {{ status_form }}
            <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Update">
            <br>
        <h2 class="status-title">Status Terbaru</h2>
        <div class="flex">
            {% if status %}
                {% for data in status %}
                    <div class="flex-item">
                        <div class="to-do-list">
                            <div class="to-do-list-author">
                                {{author}}
                            </div>
                            <div class="to-do-list-status">
                                {{data.status}}
                            </div>
                            <img class="img-circle" src="{{ imgurl }}" >
                            <div class="to-do-list-date-added">
                                {{data.created_date}}
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% else %}
            <div class="alert alert-danger text-center">
                <strong>Oops!</strong> Tidak ada data status terbaru.
            </div>
            {% endif %}
        </div>
        </form>    
    </div>
    
</section>

{% endblock %}
